Mambo Content Server < 4.5.1b Detection Global Variables Overwrite

High Nessus Network Monitor Plugin ID 2589

Synopsis

The remote host is vulnerable to a flaw that allows for the bypassing of authentication.

Description

The remote host is running the Mambo Content Server, an application for generating dynamic content for web servers. The remote application is vulnerable to a flaw where remote attacks can overwrite global variables used by the application. In doing so, they can alter the way that the application operates, causing a disclosure of information or a loss of availability.

Solution

Upgrade to version 4.5.1b or higher.

See Also

http://forum.mamboserver.com/showthread.php?t=29960

http://www.mamboportal.com/content/view/2008/2

http://www.mamboserver.com

Plugin Details

Severity: High

ID: 2589

File Name: 2589.prm

Family: Web Servers

Published: 2005/02/03

Modified: 2016/01/15

Dependencies: 1442

Nessus ID: 16312

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 6.4

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Reference Information

BID: 12436